List deliveries

Return the delivery history for a webhook.

Path Parameters
  • webhookId
    Type: stringFormat: uuid
    required
Query Parameters
  • status
    Type: stringenum
    values
    • pending
    • success
    • failed
  • startDate
    Type: stringFormat: date-time

    the date-time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z

  • endDate
    Type: stringFormat: date-time

    the date-time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z

Responses
  • application/json
Request Example for get/client/webhooks/{webhookId}/deliveries
curl 'https://api.lira.com/api/v1/client/webhooks/123e4567-e89b-12d3-a456-426614174000/deliveries?status=pending&startDate=&endDate=' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
[
  {
    "id": "c9d0e1f2-a3b4-5678-cdef-901234567890",
    "webhookId": "b8c9d0e1-f2a3-4567-bcde-890123456789",
    "verificationId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "status": "success",
    "attempts": 1,
    "lastAttemptAt": "2026-04-22T10:15:31.500Z",
    "payload": {
      "event": "verification.completed",
      "verificationId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "status": "success",
      "timestamp": "2026-04-22T10:15:30.000Z"
    },
    "response": {
      "statusCode": 200,
      "body": "OK"
    },
    "createdAt": "2026-04-22T10:15:30.000Z",
    "updatedAt": "2026-04-22T10:15:31.500Z"
  }
]